/******************************************************************************
*	File		-	editor_console.h
*	Author		-	Joey Pollack
*	Date		-	2022/10/26 (y/m/d)
*	Mod Date	-	2022/10/26 (y/m/d)
*	Description	-	The console log for the game editor
******************************************************************************/

#ifndef LUNARIUM_EDITOR_CONSOLE_H_
#define LUNARIUM_EDITOR_CONSOLE_H_

#include <gui/console.h>

namespace lunarium { namespace editor
{
    
    class EditorConsole : public Console
    {
    public:
        EditorConsole();
        virtual ~EditorConsole();
        void DoFrame() override;
        void PreBegin() override;

    private:
        void DoToolBar();
        bool mGraphicsDebug;
        bool mInfoVerbose;
    };
}}


#endif	// LUNARIUM_EDITOR_CONSOLE_H_